Opened 11 years ago

Closed 10 years ago

#9076 closed defect (duplicate)

Bugs in dojo core 1.3 reported by automated test

Reported by: Aleksey Rechinskiy Owned by: anonymous
Priority: high Milestone: 1.4
Component: Core Version: 1.3.0
Keywords: Cc: Adam Peller
Blocked By: Blocking:

Description

Here is the results of running http://download.dojotoolkit.org/release-1.3.0/dojo-release-1.3.0/dojo/tests/runTests.html on my WinXP sp3, locale 'ru':

Firefox 3.0.8 All tests changes its color on test completion.

 GROUP "tests._base.html" has 1 test to run
 75 tests to run in 1 groups

 Error: test timeout in ../../dojo/tests/_base/html.html::t::attr_map
     ERROR IN:
  (function attr_map(t) {var input = document.createElement("input");var ctr = 0;dojo.attr(input, {class: "thinger blah", tabindex: 1, type: "text", onfocus: function (e) {ctr++;}});dojo.body().appendChild(input);doh.is(1, dojo.attr(input, "tabindex"), "tabindex");doh.is("text", dojo.attr(input, "type"), "type");doh.is(0, ctr, "onfocus ctr == 0");doh.t(dojo.hasClass(input, "thinger"), "hasClass of thinger");doh.t(dojo.hasClass(input, "blah"), "hasClass of blah");var def = new (doh.Deferred);input.focus();setTimeout(function () {doh.is(1, ctr, "onfocus ctr == 1");input.blur();input.focus();setTimeout(function () {doh.is(2, ctr, "onfocus ctr == 2");def.callback(true);}, 10);}, 10);return def;})
 FAILED test: ../../dojo/tests/_base/html.html::t::attr_map 2 ms

 Error: test timeout in ../../dojo/tests/_base/html.html::t::attr_reconnect
     ERROR IN:
  (function attr_reconnect(t) {var input = document.createElement("input");var ctr = 0;dojo.attr(input, "type", "text");dojo.attr(input, "onfocus", function (e) {ctr++;});dojo.attr(input, "onfocus", function (e) {ctr++;});dojo.attr(input, "onfocus", function (e) {ctr++;});dojo.body().appendChild(input);doh.is("text", dojo.attr(input, "type"));doh.is(0, ctr);var def = new (doh.Deferred);input.focus();setTimeout(function () {doh.is(1, ctr);input.blur();input.focus();setTimeout(function () {doh.is(2, ctr);def.callback(true);}, 10);}, 10);return def;})
 FAILED test: ../../dojo/tests/_base/html.html::t::attr_reconnect 3 ms

===============================

 GROUP "tests.date.locale" has 12 tests to run

    _AssertFailure: http://download.dojotoolkit.org/release-1.3.0/dojo-release-1.3.0/dojo/dojo.js:131 doh._AssertFailure: assertEqual() failed:
  expected Fri Aug 11 2006 00:00:00 GMT+0400 but got null
 doh._AssertFailure
     ERROR IN:
  (function (t) {var aug_11_2006 = new Date(2006, 7, 11, 0);t.is(aug_11_2006, dojo.date.locale.parse("08/11/06", {formatLength: "short", selector: "date", locale: "en"}));t.is(aug_11_2006, dojo.date.locale.parse("8/11/06", {formatLength: "short", selector: "date", locale: "en"}));t.is(aug_11_2006, dojo.date.locale.parse("8/11/2006", {formatLength: "short", selector: "date", locale: "en"}));t.f(Boolean(dojo.date.locale.parse("8/11/2006", {formatLength: "short", selector: "date", locale: "en", strict: true})));t.is(aug_11_2006, dojo.date.locale.parse("11Aug2006", {selector: "date", datePattern: "ddMMMyyyy"}));t.is(new Date(2006, 7, 1), dojo.date.locale.parse("Aug2006", {selector: "date", datePattern: "MMMyyyy"}));t.is(aug_11_2006, dojo.date.locale.parse("Aug 11, 2006", {formatLength: "medium", selector: "date", locale: "en"}));t.is(aug_11_2006, dojo.date.locale.parse("Aug 11, 2006", {formatLength: "medium", selector: "date", locale: "en"}));t.is(aug_11_2006, dojo.date.locale.parse("Aug. 11, 2006", {formatLength: "medium", selector: "date", locale: "en"}));t.f(Boolean(dojo.date.locale.parse("Aug. 11, 2006", {formatLength: "medium", selector: "date", locale: "en", strict: true})));var aug_11_06CE = new Date(2006, 7, 11, 0);aug_11_06CE.setFullYear(6);t.is(aug_11_06CE, dojo.date.locale.parse("Aug 11, 06", {selector: "date", datePattern: "MMM dd, yyyy", strict: true}));t.is(aug_11_2006, dojo.date.locale.parse("August 11, 2006", {formatLength: "long", selector: "date", locale: "en"}));t.is(aug_11_2006, dojo.date.locale.parse("Friday, August 11, 2006", {formatLength: "full", selector: "date", locale: "en"}));t.f(Boolean(dojo.date.locale.parse("15/1/2005", {formatLength: "short", selector: "date", locale: "en"})));t.f(Boolean(dojo.date.locale.parse("Aug 32, 2006", {formatLength: "medium", selector: "date", locale: "en"})));t.is(aug_11_2006, dojo.date.locale.parse("11.08.06", {formatLength: "short", selector: "date", locale: "de"}));t.f(Boolean(dojo.date.locale.parse("11.8/06", {formatLength: "short", selector: "date", locale: "de"})));t.f(Boolean(dojo.date.locale.parse("11.8x06", {formatLength: "short", selector: "date", locale: "de"})));t.f(Boolean(dojo.date.locale.parse("11.13.06", {formatLength: "short", selector: "date", locale: "de"})));t.f(Boolean(dojo.date.locale.parse("11.0.06", {formatLength: "short", selector: "date", locale: "de"})));t.f(Boolean(dojo.date.locale.parse("32.08.06", {formatLength: "short", selector: "date", locale: "de"})));t.is(aug_11_2006, dojo.date.locale.parse("11/08/06", {formatLength: "short", selector: "date", locale: "es"}));t.is(aug_11_2006, dojo.date.locale.parse("11/8/06", {formatLength: "short", selector: "date", locale: "es"}));t.is(aug_11_2006, dojo.date.locale.parse("11/8/2006", {formatLength: "short", selector: "date", locale: "es"}));t.f(Boolean(dojo.date.locale.parse("11/8/2006", {formatLength: "short", selector: "date", locale: "es", strict: true})));t.is(aug_11_2006, dojo.date.locale.parse("11 de agosto de 2006", {formatLength: "long", selector: "date", locale: "es"}));t.is(aug_11_2006, dojo.date.locale.parse("11 de Agosto de 2006", {formatLength: "long", selector: "date", locale: "es"}));t.f(Boolean(dojo.date.locale.parse("11 de Agosto de 2006", {formatLength: "long", selector: "date", locale: "es", strict: true})));t.is(aug_11_2006, dojo.date.locale.parse("viernes 11 de agosto de 2006", {formatLength: "full", selector: "date", locale: "es"}));t.is(aug_11_2006, dojo.date.locale.parse("Viernes 11 de agosto de 2006", {formatLength: "full", selector: "date", locale: "es"}));t.f(Boolean(dojo.date.locale.parse("Viernes 11 de agosto de 2006", {formatLength: "full", selector: "date", locale: "es", strict: true})));t.is(aug_11_2006, dojo.date.locale.parse("06/08/11", {formatLength: "short", selector: "date", locale: "ja"}));t.is(aug_11_2006, dojo.date.locale.parse("06/8/11", {formatLength: "short", selector: "date", locale: "ja"}));t.is(aug_11_2006, dojo.date.locale.parse("2006/8/11", {formatLength: "short", selector: "date", locale: "ja"}));t.f(Boolean(dojo.date.locale.parse("2006/8/11", {formatLength: "short", selector: "date", locale: "ja", strict: true})));t.is(aug_11_2006, dojo.date.locale.parse("2006/08/11", {formatLength: "medium", selector: "date", locale: "ja"}));t.is(aug_11_2006, dojo.date.locale.parse("2006/8/11", {formatLength: "medium", selector: "date", locale: "ja"}));t.is(aug_11_2006, dojo.date.locale.parse("2006\u5E748\u670811\u65E5", {formatLength: "long", selector: "date", locale: "ja"}));t.is(aug_11_2006, dojo.date.locale.parse("2006\u5E748\u670811\u65E5\u91D1\u66DC\u65E5", {formatLength: "full", selector: "date", locale: "ja"}));var apr_11_2006 = new Date(2006, 3, 11, 0);var options = {formatLength: "medium", selector: "date", locale: "fr-fr"};t.is(0, dojo.date.compare(apr_11_2006, dojo.date.locale.parse(dojo.date.locale.format(apr_11_2006, options), options)));t.is(0, dojo.date.compare(apr_11_2006, dojo.date.locale.parse("11 avr 06", options)));})
 FAILED test: parse_dates 4 ms

=========================

 GROUP "tests.number" has 30 tests to run

    _AssertFailure: http://download.dojotoolkit.org/release-1.3.0/dojo-release-1.3.0/dojo/dojo.js:131 doh._AssertFailure: assertEqual() failed:
  expected -12,34,567.890 but got -12 34 567,890
 doh._AssertFailure
     ERROR IN:
  (function (t) {t.is("0123", dojo.number.format(123, {pattern: "0000"}));t.is("-12,34,567.890", dojo.number.format(-1234567.89, {pattern: "#,##,##0.000##"}));t.is("-12,34,567.89012", dojo.number.format(-1234567.890123, {pattern: "#,##,##0.000##"}));t.is("(1,234,567.89012)", dojo.number.format(-1234567.890123, {pattern: "#,##0.000##;(#,##0.000##)"}));t.is("(1,234,567.89012)", dojo.number.format(-1234567.890123, {pattern: "#,##0.000##;(#)"}));t.is("50.1%", dojo.number.format(0.501, {pattern: "#0.#%"}));t.is("98", dojo.number.format(1998, {pattern: "00"}));t.is("01998", dojo.number.format(1998, {pattern: "00000"}));t.is("0.13", dojo.number.format(0.125, {pattern: "0.##"}));t.is("0.1250", dojo.number.format(0.125, {pattern: "0.0000"}));t.is("0.1", dojo.number.format(0.100004, {pattern: "0.####"}));t.is("-12", dojo.number.format(-12.3, {places: 0, locale: "en-us"}));t.is("-1,234,567.89", dojo.number.format(-1234567.89, {locale: "en-us"}));t.is("-1,234,568", dojo.number.format(-1234567.89, {places: 0, locale: "en-us"}));t.is("-1\xA0000,10", dojo.number.format(-1000.1, {places: 2, locale: "fr-fr"}));t.is("-1,000.10", dojo.number.format(-1000.1, {places: 2, locale: "en-us"}));t.is("-1\xA0000,10", dojo.number.format(-1000.1, {places: 2, locale: "fr-fr"}));t.is("-1.234,56", dojo.number.format(-1234.56, {places: 2, locale: "de-de"}));t.is("-1,000.10", dojo.number.format(-1000.1, {places: 2, locale: "en-us"}));t.is("123.46%", dojo.number.format(1.23456, {places: 2, locale: "en-us", type: "percent"}));t.is("-1,234,568", dojo.number.format(-1234567.89, {places: 0, locale: "en-us"}));t.is("-1,000.11", dojo.number.format(-1000.114, {places: 2, locale: "en-us"}));t.is("-1,000.12", dojo.number.format(-1000.115, {places: 2, locale: "en-us"}));t.is("-1,000.12", dojo.number.format(-1000.116, {places: 2, locale: "en-us"}));t.is("-0.00", dojo.number.format(-0.0001, {places: 2, locale: "en-us"}));t.is("0.00", dojo.number.format(0, {places: 2, locale: "en-us"}));t.is("-1\xA0000,100", dojo.number.format(-1000.1, {places: 3, locale: "fr-fr"}));t.is("-1,000.100", dojo.number.format(-1000.1, {places: 3, locale: "en-us"}));})

 FAILED test: format 0 ms
     _AssertFailure: http://download.dojotoolkit.org/release-1.3.0/dojo-release-1.3.0/dojo/dojo.js:131 doh._AssertFailure: assertEqual() failed:
  expected 0.501 but got NaN
 doh._AssertFailure
     ERROR IN:
  (function (t) {t.is(1000, dojo.number.parse("1000", {locale: "en-us"}));t.is(1000.123, dojo.number.parse("1000.123", {locale: "en-us"}));t.is(1000, dojo.number.parse("1,000", {locale: "en-us"}));t.is(-1000, dojo.number.parse("-1000", {locale: "en-us"}));t.is(-1000.123, dojo.number.parse("-1000.123", {locale: "en-us"}));t.is(-1234567.89, dojo.number.parse("-1,234,567.89", {locale: "en-us"}));t.is(-1234567.89, dojo.number.parse("-1 234 567,89", {locale: "fr-fr"}));t.t(isNaN(dojo.number.parse("-1 234 567,89", {locale: "en-us"})));t.is(123, dojo.number.parse("0123", {pattern: "0000"}));t.t(isNaN(dojo.number.parse("10,00", {locale: "en-us"})));t.t(isNaN(dojo.number.parse("1000.1", {locale: "fr-fr"})));t.t(isNaN(dojo.number.parse("")));t.t(isNaN(dojo.number.parse("abcd")));t.is(1.23456789, dojo.number.parse("1.23456789", {locale: "en-us"}));t.is(0.501, dojo.number.parse("50.1%", {pattern: "#0.#%"}));t.is(123.4, dojo.number.parse("123.4", {pattern: "#0.#"}));t.is(-123.4, dojo.number.parse("-123.4", {pattern: "#0.#"}));t.is(123.4, dojo.number.parse("123.4", {pattern: "#0.#;(#0.#)"}));t.is(-123.4, dojo.number.parse("(123.4)", {pattern: "#0.#;(#0.#)"}));t.is(null, dojo.number.format("abcd", {pattern: "0000"}));t.is(123, dojo.number.parse("123", {places: 0}));t.is(123, dojo.number.parse("123", {places: "0"}));t.is(123.4, dojo.number.parse("123.4", {places: 1}));t.is(123.45, dojo.number.parse("123.45", {places: "1,3"}));t.is(123.45, dojo.number.parse("123.45", {places: "0,2"}));})
 FAILED test: parse 16 ms

     _AssertFailure: http://download.dojotoolkit.org/release-1.3.0/dojo-release-1.3.0/dojo/dojo.js:131 doh._AssertFailure: assertEqual() failed:
  expected 0.0 but got 0,0
 doh._AssertFailure
     ERROR IN:
  (function (t) {var patterns = ["#0.#", "#0.", "#.0", "#"];var patternsLength = patterns.length;var num = ["0", "0", "0.0", "0"];var options;for (var i = 0; i < patternsLength; ++i) {options = {pattern: patterns[i]};tests.number.checkFormatParseCycle(t, options, 0, num[i], false);}})
 FAILED test: format_patterns 1 ms

     _AssertFailure: http://download.dojotoolkit.org/release-1.3.0/dojo-release-1.3.0/dojo/dojo.js:131 doh._AssertFailure: assertEqual() failed:
  expected 0.00018 but got 0,00018
 doh._AssertFailure
     ERROR IN:
  (function (t) {tests.number.rounding(t, 0.000179999, 5, "0.00018");tests.number.rounding(t, 0.00099, 4, "0.001");tests.number.rounding(t, 17.6995, 3, "17.7");tests.number.rounding(t, 15.3999, 0, "15");tests.number.rounding(t, -29.6, 0, "-30");})
 FAILED test: format_rounding 1 ms

     _AssertFailure: http://download.dojotoolkit.org/release-1.3.0/dojo-release-1.3.0/dojo/dojo.js:131 doh._AssertFailure: assertEqual() failed:
  expected 485.7‰ but got 485,7‰
 doh._AssertFailure
     ERROR IN:
  (function (t) {var pattern;var result;var expectResult;pattern = "###.###\u2030";expectResult = "485.7\u2030";result = dojo.number.format(0.4857, {pattern: pattern});t.is(expectResult, result);})
 FAILED test: format_perMill 0 ms

     _AssertFailure: http://download.dojotoolkit.org/release-1.3.0/dojo-release-1.3.0/dojo/dojo.js:131 doh._AssertFailure: assertEqual() failed:
  expected -0.1 but got -0,1
 doh._AssertFailure
     ERROR IN:
  (function (t) {tests.number.checkFormatParseCycle(t, {pattern: "#0.#"}, -0.09, "-0.1", false);})
 FAILED test: number_regression_1 0 ms

     _AssertFailure: http://download.dojotoolkit.org/release-1.3.0/dojo-release-1.3.0/dojo/dojo.js:131 doh._AssertFailure: assertEqual() failed:
  expected 123.55456 but got NaN
 doh._AssertFailure
     ERROR IN:
  (function (t) {tests.number.checkFormatParseCycle(t, {places: 0}, 0, "0", false);tests.number.checkFormatParseCycle(t, {places: 0}, 0.1, "0", false);tests.number.checkParse(t, {pattern: "#0.#####"}, 123.55456, 123.55456);tests.number.checkFormatParseCycle(t, {pattern: "#.#"}, 0, "0", false);tests.number.checkParse(t, null, "99.99", 99.99);tests.number.checkFormatParseCycle(t, {pattern: "#.#"}, 0, "0", false);})
 FAILED test: number_regression_3 2 ms

     _AssertFailure: http://download.dojotoolkit.org/release-1.3.0/dojo-release-1.3.0/dojo/dojo.js:131 doh._AssertFailure: assertEqual() failed:
  expected 3,456.78 but got 3 456,78
 doh._AssertFailure
     ERROR IN:
  (function (t) {var patterns = ["#0000", "#000", "#00", "#0", "#"];var expect = ["0042", "042", "42", "42", "42"];for (var i = 0; i < patterns.length; i++) {tests.number.checkFormatParseCycle(t, {pattern: patterns[i]}, 42, expect[i], false);tests.number.checkFormatParseCycle(t, {pattern: patterns[i]}, -42, "-" + expect[i], false);}tests.number.checkFormatParseCycle(t, {pattern: "#,#00.00;-#.#"}, 3456.78, "3,456.78", false);})
 FAILED test: number_regression_8 1 ms

     _AssertFailure: http://download.dojotoolkit.org/release-1.3.0/dojo-release-1.3.0/dojo/dojo.js:131 doh._AssertFailure: assertEqual() failed:
  expected 012.34 but got 012,34
 doh._AssertFailure
     ERROR IN:
  (function (t) {tests.number.checkFormatParseCycle(t, {pattern: "000.00"}, 12.34, "012.34", false);tests.number.checkFormatParseCycle(t, {pattern: "+000.00%;-000.00%"}, 0.1234, "+012.34%", false);tests.number.checkFormatParseCycle(t, {pattern: "##,###,###.00"}, 9.02, "9.02", false);var patterns = ["#.00", "0.00", "00.00", "#0.0#", "#0.00"];var expect = ["1.20", "1.20", "01.20", "1.2", "1.20"];for (var i = 0; i < patterns.length; i++) {tests.number.checkFormatParseCycle(t, {pattern: patterns[i]}, 1.2, expect[i], false);}})
 FAILED test: number_regression_10 0 ms

===================

 GROUP "t" has 4 tests to run

     _AssertFailure: http://download.dojotoolkit.org/release-1.3.0/dojo-release-1.3.0/dojo/dojo.js:131 doh._AssertFailure: assertEqual() failed:
  expected 4 but got 2
 doh._AssertFailure
     ERROR IN:
  (function topics(t) {var d = new (doh.Deferred);t.is(0, topicCount);dojo.behavior.add({'.foo': "/foo"});dojo.behavior.apply();t.is(2, topicCount);dojo.behavior.add({'.foo': {onfocus: "/foo"}});dojo.behavior.apply();t.is(2, topicCount);dojo.byId("blah").focus();dojo.byId("blah").blur();dojo.byId("blah").focus();setTimeout(function () {try {t.is(4, topicCount);d.callback(true);} catch (e) {d.errback(e);}}, 10);return d;})
 FAILED test: ../../dojo/tests/behavior.html::t::topics 3 ms

====================

 ------------------------------------------------------------
 | TEST SUMMARY:
 ------------------------------------------------------------
      785 tests in 50 groups
      2 errors
      11 failures

IE6.0.2900.5512.xpsp_sp3_gdr.080814-1236

BTW: it throws some uncaught exceptions, if "disable script debugging" option is OFF. The log I post here is got with script debugging disabled and it differs from log with debugging enabled (you may see it in http://dojotoolkit.org/forum/dijit-dijit-0-9/dijit-support/ie6-supported-dijit-1-3#comment-23502 )

Some tests remains white colored after completion of full automated test. I think, this could point to a fact, that they weren't run at all due to unhandled exceptions.

 GROUP "tests._base.html" has 1 test to run 75 tests to run in 1 groups

 [object Error]     ERROR IN:  function(){ // FIXME: implement calling into the url's groups here!! return this.d; } FAILED test: ../../dojo/tests/_base/html.html 0 ms

=================

GROUP "tests._base.fx" has 1 test to run 9 tests to run in 1 groups ------------------------------------------------------------ GROUP "t" has 9 tests to run

[object Error]     ERROR IN:  function(){ // FIXME: implement calling into the url's groups here!! return this.d; } FAILED test: ../../dojo/tests/_base/fx.html 0 ms

=====================

GROUP "tests._base.query" has 1 test to run
------------------------------------------------------------ GROUP "t" has 99 tests to run

 [object Error]     ERROR IN:  function(){ // FIXME: implement calling into the url's groups here!! return this.d; } FAILED test: ../../dojo/tests/_base/query.html 0 ms

=====================

[object Error]     ERROR IN:  function(){ // FIXME: implement calling into the url's groups here!! return this.d; } FAILED test: ../../dojo/tests/_base/NodeList.html 0 ms

===========

GROUP "tests.date.locale" has 12 tests to run

    _AssertFailure: [object Error]: assertEqual() failed:  expected Fri Aug 11 00:00:00 UTC+0400 2006 but got null  [object Error]     ERROR IN:  function(t){ var aug_11_2006 = new Date(2006, 7, 11, 0); //en: 'short' fmt: M/d/yy // Tolerate either 8 or 08 for month part. t.is( aug_11_2006, dojo.date.locale.parse("08/11/06", {formatLength:'short', selector:'date', locale:'en'})); t.is( aug_11_2006, dojo.date.locale.parse("8/11/06", {formatLength:'short', selector:'date', locale:'en'})); // Tolerate yyyy input in yy part... t.is( aug_11_2006, dojo.date.locale.parse("8/11/2006", {formatLength:'short', selector:'date', locale:'en'})); // ...but not in strict mode t.f( Boolean(dojo.date.locale.parse("8/11/2006", {formatLength:'short', selector:'date', locale:'en', strict:true}))); // test dates with no spaces t.is( aug_11_2006, dojo.date.locale.parse("11Aug2006", {selector: 'date', datePattern: 'ddMMMyyyy'})); t.is( new Date(2006, 7, 1), dojo.date.locale.parse("Aug2006", {selector: 'date', datePattern: 'MMMyyyy'})); //en: 'medium' fmt: MMM d, yyyy // Tolerate either 8 or 08 for month part. t.is( aug_11_2006, dojo.date.locale.parse("Aug 11, 2006", {formatLength:'medium', selector:'date', locale:'en'})); t.is( aug_11_2006, dojo.date.locale.parse("Aug 11, 2006", {formatLength:'medium', selector:'date', locale:'en'})); // Tolerate abbreviating period in month part... t.is( aug_11_2006, dojo.date.locale.parse("Aug. 11, 2006", {formatLength:'medium', selector:'date', locale:'en'})); // ...but not in strict mode t.f( Boolean(dojo.date.locale.parse("Aug. 11, 2006", {formatLength:'medium', selector:'date', locale:'en', strict:true}))); // Note: 06 for year part will be translated literally as the year 6 C.E. var aug_11_06CE = new Date(2006, 7, 11, 0); aug_11_06CE.setFullYear(6); //literally the year 6 C.E. t.is( aug_11_06CE, dojo.date.locale.parse("Aug 11, 06", {selector:'date', datePattern:'MMM dd, yyyy', strict:true})); //en: 'long' fmt: MMMM d, yyyy t.is( aug_11_2006, dojo.date.locale.parse("August 11, 2006", {formatLength:'long', selector:'date', locale:'en'})); //en: 'full' fmt: EEEE, MMMM d, yyyy t.is( aug_11_2006, dojo.date.locale.parse("Friday, August 11, 2006", {formatLength:'full', selector:'date', locale:'en'})); //TODO: wrong day-of-week should fail //t.f( Boolean(dojo.date.locale.parse("Thursday, August 11, 2006", {formatLength:'full', selector:'date', locale:'en'}))); //TODO: Whitespace tolerance // t.is( aug_11_2006, dojo.date.locale.parse(" August 11, 2006", {formatLength:'long', selector:'date', locale:'en'})); // t.is( aug_11_2006, dojo.date.locale.parse("August 11, 2006", {formatLength:'long', selector:'date', locale:'en'})); // t.is( aug_11_2006, dojo.date.locale.parse("August 11 , 2006", {formatLength:'long', selector:'date', locale:'en'})); // t.is( aug_11_2006, dojo.date.locale.parse("August 11, 2006", {formatLength:'long', selector:'date', locale:'en'})); // t.is( aug_11_2006, dojo.date.locale.parse("August 11, 2006 ", {formatLength:'long', selector:'date', locale:'en'})); //Simple Validation Tests //catch "month" > 12 (note: month/day reversals are common when user expectation isn't met wrt european versus US formats) t.f( Boolean(dojo.date.locale.parse("15/1/2005", {formatLength:'short', selector:'date', locale:'en'}))); //day of month typo rolls over to the next month t.f( Boolean(dojo.date.locale.parse("Aug 32, 2006", {formatLength:'medium', selector:'date', locale:'en'}))); //German (de) t.is( aug_11_2006, dojo.date.locale.parse("11.08.06", {formatLength:'short', selector:'date', locale:'de'})); t.f( Boolean(dojo.date.locale.parse("11.8/06", {formatLength:'short', selector:'date', locale:'de'}))); t.f( Boolean(dojo.date.locale.parse("11.8x06", {formatLength:'short', selector:'date', locale:'de'}))); t.f( Boolean(dojo.date.locale.parse("11.13.06", {formatLength:'short', selector:'date', locale:'de'}))); t.f( Boolean(dojo.date.locale.parse("11.0.06", {formatLength:'short', selector:'date', locale:'de'}))); t.f( Boolean(dojo.date.locale.parse("32.08.06", {formatLength:'short', selector:'date', locale:'de'}))); //Spanish (es) //es: 'short' fmt: d/MM/yy t.is( aug_11_2006, dojo.date.locale.parse("11/08/06", {formatLength:'short', selector:'date', locale:'es'})); t.is( aug_11_2006, dojo.date.locale.parse("11/8/06", {formatLength:'short', selector:'date', locale:'es'})); // Tolerate yyyy input in yy part... t.is( aug_11_2006, dojo.date.locale.parse("11/8/2006", {formatLength:'short', selector:'date', locale:'es'})); // ...but not in strict mode t.f( Boolean(dojo.date.locale.parse("11/8/2006", {formatLength:'short', selector:'date', locale:'es', strict:true}))); //es: 'medium' fmt: dd-MMM-yy (not anymore as of CLDR 1.5.1) // t.is( aug_11_2006, dojo.date.locale.parse("11-ago-06", {formatLength:'medium', selector:'date', locale:'es'})); // t.is( aug_11_2006, dojo.date.locale.parse("11-ago-2006", {formatLength:'medium', selector:'date', locale:'es'})); // Tolerate abbreviating period in month part... // t.is( aug_11_2006, dojo.date.locale.parse("11-ago.-2006", {formatLength:'medium', selector:'date', locale:'es'})); // ...but not in strict mode // t.f( Boolean(dojo.date.locale.parse("11-ago.-2006", {formatLength:'medium', selector:'date', locale:'es', strict:true}))); //es: 'long' fmt: d' de 'MMMM' de 'yyyy t.is( aug_11_2006, dojo.date.locale.parse("11 de agosto de 2006", {formatLength:'long', selector:'date', locale:'es'})); //case-insensitive month... t.is( aug_11_2006, dojo.date.locale.parse("11 de Agosto de 2006", {formatLength:'long', selector:'date', locale:'es'})); //...but not in strict mode t.f( Boolean(dojo.date.locale.parse("11 de Agosto de 2006", {formatLength:'long', selector:'date', locale:'es', strict:true}))); //es 'full' fmt: EEEE d' de 'MMMM' de 'yyyy t.is( aug_11_2006, dojo.date.locale.parse("viernes 11 de agosto de 2006", {formatLength:'full', selector:'date', locale:'es'})); //case-insensitive day-of-week... t.is( aug_11_2006, dojo.date.locale.parse("Viernes 11 de agosto de 2006", {formatLength:'full', selector:'date', locale:'es'})); //...but not in strict mode t.f( Boolean(dojo.date.locale.parse("Viernes 11 de agosto de 2006", {formatLength:'full', selector:'date', locale:'es', strict:true}))); //Japanese (ja) //note: to avoid garbling from non-utf8-aware editors that may touch this file, using the \uNNNN format //for expressing double-byte chars. //toshi (year): \u5e74 //getsu (month): \u6708 //nichi (day): \u65e5 //kinyoubi (Friday): \u91d1\u66dc\u65e5 //zenkaku space: \u3000 //ja: 'short' fmt: yy/MM/dd (note: the "short" fmt isn't actually defined in the CLDR data...) t.is( aug_11_2006, dojo.date.locale.parse("06/08/11", {formatLength:'short', selector:'date', locale:'ja'})); t.is( aug_11_2006, dojo.date.locale.parse("06/8/11", {formatLength:'short', selector:'date', locale:'ja'})); // Tolerate yyyy input in yy part... t.is( aug_11_2006, dojo.date.locale.parse("2006/8/11", {formatLength:'short', selector:'date', locale:'ja'})); // ...but not in strict mode t.f( Boolean(dojo.date.locale.parse("2006/8/11", {formatLength:'short', selector:'date', locale:'ja', strict:true}))); //ja: 'medium' fmt: yyyy/MM/dd t.is( aug_11_2006, dojo.date.locale.parse("2006/08/11", {formatLength:'medium', selector:'date', locale:'ja'})); t.is( aug_11_2006, dojo.date.locale.parse("2006/8/11", {formatLength:'medium', selector:'date', locale:'ja'})); //ja: 'long' fmt: yyyy'\u5e74'\u6708'd'\u65e5' t.is( aug_11_2006, dojo.date.locale.parse("2006\u5e748\u670811\u65e5", {formatLength:'long', selector:'date', locale:'ja'})); //ja 'full' fmt: yyyy'\u5e74'M'\u6708'd'\u65e5'EEEE t.is( aug_11_2006, dojo.date.locale.parse("2006\u5e748\u670811\u65e5\u91d1\u66dc\u65e5", {formatLength:'full', selector:'date', locale:'ja'})); //TODO: Whitespace tolerance //tolerate ascii space // t.is( aug_11_2006, dojo.date.locale.parse(" 2006\u5e748\u670811\u65e5\u91d1\u66dc\u65e5 ", {formatLength:'full', selector:'date', locale:'ja'})); // t.is( aug_11_2006, dojo.date.locale.parse("2006\u5e74 8\u670811\u65e5 \u91d1\u66dc\u65e5", {formatLength:'full', selector:'date', locale:'ja'})); //tolerate zenkaku space // t.is( aug_11_2006, dojo.date.locale.parse("\u30002006\u5e748\u670811\u65e5\u91d1\u66dc\u65e5\u3000", {formatLength:'full', selector:'date', locale:'ja'})); // t.is( aug_11_2006, dojo.date.locale.parse("2006\u5e74\u30008\u670811\u65e5\u3000\u91d1\u66dc\u65e5", {formatLength:'full', selector:'date', locale:'ja'})); var apr_11_2006 = new Date(2006, 3, 11, 0); //Roundtrip var options={formatLength:'medium',selector:'date', locale:'fr-fr'}; t.is(0, dojo.date.compare(apr_11_2006, dojo.date.locale.parse(dojo.date.locale.format(apr_11_2006, options), options))); //Tolerance for abbreviations t.is(0, dojo.date.compare(apr_11_2006, dojo.date.locale.parse("11 avr 06", options))); }
FAILED test: parse_dates 15 ms

================

 GROUP "tests.number" has 30 tests to run

    _AssertFailure: [object Error]: assertEqual() failed:  expected -12,34,567.890 but got -12 34 567,890  [object Error]     ERROR IN:  function(t){ t.is("0123", dojo.number.format(123, {pattern: "0000"})); t.is("-12,34,567.890", dojo.number.format(-1234567.89, {pattern: "#,##,##0.000##"})); t.is("-12,34,567.89012", dojo.number.format(-1234567.890123, {pattern: "#,##,##0.000##"})); t.is("(1,234,567.89012)", dojo.number.format(-1234567.890123, {pattern: "#,##0.000##;(#,##0.000##)"})); t.is("(1,234,567.89012)", dojo.number.format(-1234567.890123, {pattern: "#,##0.000##;(#)"})); t.is("50.1%", dojo.number.format(0.501, {pattern: "#0.#%"})); t.is("98", dojo.number.format(1998, {pattern: "00"})); t.is("01998", dojo.number.format(1998, {pattern: "00000"})); t.is("0.13", dojo.number.format(0.125, {pattern: "0.##"})); //NOTE: expects round_half_up, not round_half_even t.is("0.1250", dojo.number.format(0.125, {pattern: "0.0000"})); t.is("0.1", dojo.number.format(0.100004, {pattern: "0.####"})); t.is("-12", dojo.number.format(-12.3, {places:0, locale: "en-us"})); t.is("-1,234,567.89", dojo.number.format(-1234567.89, {locale: "en-us"})); // t.is("-12,34,567.89", dojo.number.format(-1234567.89, {locale: "en-in"})); t.is("-1,234,568", dojo.number.format(-1234567.89, {places:0, locale: "en-us"})); // t.is("-12,34,568", dojo.number.format(-1234567.89, {places:0, locale: "en-in"})); t.is("-1\xa0000,10", dojo.number.format(-1000.1, {places:2, locale: "fr-fr"})); t.is("-1,000.10", dojo.number.format(-1000.1, {places:2, locale: "en-us"})); t.is("-1\xa0000,10", dojo.number.format(-1000.1, {places:2, locale: "fr-fr"})); t.is("-1.234,56", dojo.number.format(-1234.56, {places:2, locale: "de-de"})); t.is("-1,000.10", dojo.number.format(-1000.1, {places:2, locale: "en-us"})); t.is("123.46%", dojo.number.format(1.23456, {places:2, locale: "en-us", type: "percent"})); //rounding t.is("-1,234,568", dojo.number.format(-1234567.89, {places:0, locale: "en-us"})); // t.is("-12,34,568", dojo.number.format(-1234567.89, {places:0, locale: "en-in"})); t.is("-1,000.11", dojo.number.format(-1000.114, {places:2, locale: "en-us"})); t.is("-1,000.12", dojo.number.format(-1000.115, {places:2, locale: "en-us"})); t.is("-1,000.12", dojo.number.format(-1000.116, {places:2, locale: "en-us"})); t.is("-0.00", dojo.number.format(-0.0001, {places:2, locale: "en-us"})); t.is("0.00", dojo.number.format(0, {places:2, locale: "en-us"})); //change decimal places t.is("-1\xa0000,100", dojo.number.format(-1000.1, {places:3, locale: "fr-fr"})); t.is("-1,000.100", dojo.number.format(-1000.1, {places:3, locale: "en-us"})); }
FAILED test: format 0 ms

     _AssertFailure: [object Error]: assertEqual() failed:  expected 0.501 but got NaN  [object Error]     ERROR IN:  function(t){ t.is(1000, dojo.number.parse("1000", {locale: "en-us"})); t.is(1000.123, dojo.number.parse("1000.123", {locale: "en-us"})); t.is(1000, dojo.number.parse("1,000", {locale: "en-us"})); t.is(-1000, dojo.number.parse("-1000", {locale: "en-us"})); t.is(-1000.123, dojo.number.parse("-1000.123", {locale: "en-us"})); t.is(-1234567.89, dojo.number.parse("-1,234,567.89", {locale: "en-us"})); t.is(-1234567.89, dojo.number.parse("-1 234 567,89", {locale: "fr-fr"})); t.t(isNaN(dojo.number.parse("-1 234 567,89", {locale: "en-us"}))); t.is(123, dojo.number.parse("0123", {pattern: "0000"})); t.t(isNaN(dojo.number.parse("10,00", {locale: "en-us"}))); t.t(isNaN(dojo.number.parse("1000.1", {locale: "fr-fr"}))); t.t(isNaN(dojo.number.parse(""))); t.t(isNaN(dojo.number.parse("abcd"))); // should allow unlimited precision, by default t.is(1.23456789, dojo.number.parse("1.23456789", {locale: "en-us"})); //test whitespace // t.is(-1234567, dojo.number.parse(" -1,234,567 ", {locale: "en-us"})); // t.t(dojo.number.parse("9.1093826E-31")); t.is(0.501, dojo.number.parse("50.1%", {pattern: "#0.#%"})); t.is(123.4, dojo.number.parse("123.4", {pattern: "#0.#"})); t.is(-123.4, dojo.number.parse("-123.4", {pattern: "#0.#"})); t.is(123.4, dojo.number.parse("123.4", {pattern: "#0.#;(#0.#)"})); t.is(-123.4, dojo.number.parse("(123.4)", {pattern: "#0.#;(#0.#)"})); t.is(null, dojo.number.format("abcd", {pattern: "0000"})); t.is(123, dojo.number.parse("123", {places:0})); t.is(123, dojo.number.parse("123", {places:'0'})); t.is(123.4, dojo.number.parse("123.4", {places:1})); t.is(123.45, dojo.number.parse("123.45", {places:'1,3'})); t.is(123.45, dojo.number.parse("123.45", {places:'0,2'})); }
FAILED test: parse 79 ms 

    _AssertFailure: [object Error]: assertEqual() failed:  expected 0.0 but got 0,0  [object Error]     ERROR IN:  function(t){ /** * Refer to ICU4J's NumberFormatTest.TestPatterns() which now only coveres us locale */ //print("test_number_format_Patterns() start.............."); var patterns = (["#0.#", "#0.", "#.0", "#"]); var patternsLength = patterns.length; var num = (["0","0", "0.0", "0"]); var options; //icu4j result seems doesn't work as: //var num = (["0","0.", ".0", "0"]); for (var i=0; i<patternsLength; ++i) { options = {pattern:patterns[i]}; tests.number.checkFormatParseCycle(t, options,0,num[i],false); } //!!Failed case //In ICU4J: // unquoted special characters in the suffix are illegal // so "000.000|###" is illegal; "000.000'|###'" is legal //dojo.number.format: // when formatting 1.2 with illegal pattern "000.000|###" // no exception was thrown but got "001.200|###" instead. /* patterns = (["000.000|###","000.000'|###'"]); var exception = false; var result; for(var i = 0; i < patterns.length; i ++){ try{ //"001.200'|###'" is return for "000.000'|###'" //"001.200|###" is return for "000.000|###" result = dojo.number.format(1.2,{pattern:patterns[i]}); print("["+i+"] 1.2 is formatted to " + result + " with pattern " + patterns[i]); }catch(e){ exception = true; } if(exception && i==1){ throw "["+i+"]Failed when formatting 1.2 using legal pattern " + patterns[i]; }else if(!exception && i==0){ throw "["+i+"]Failed when formatting 1.2 using illegal pattern " + patterns[i]; } }*/ //print("test_number_format_Patterns() end..............\n"); }
FAILED test: format_patterns 16 ms 

   _AssertFailure: [object Error]: assertEqual() failed:  expected 0.00018 but got 0,00018  [object Error]     ERROR IN:  function(t){ /** * Refer to ICU4J's NumberFormatTest.TestRounding487() and NumberFormatTest.TestRounding() */ //print("test_number_format_rounding() start.............."); tests.number.rounding(t,0.000179999, 5, "0.00018"); tests.number.rounding(t,0.00099, 4, "0.001"); tests.number.rounding(t,17.6995, 3, "17.7"); tests.number.rounding(t,15.3999, 0, "15"); tests.number.rounding(t,-29.6, 0, "-30"); //TODO refer to NumberFormatTest.TestRounding() //print("test_number_format_rounding() end.............."); }
FAILED test: format_rounding 16 ms

  _AssertFailure: [object Error]: assertEqual() failed:  expected 485.7‰ but got 485,7‰  [object Error]     ERROR IN:  function(t){ /** * TODO: Failed case * Refer to ICU4J's NumberFormatTest.TestPerMill() */ //print("test_number_format_PerMill() start.............."); var pattern; var result; var expectResult; //TODO: !!Failed case - ###.###\u2030(\u2030 is ‰) //Pattern ###.###\u2030 should format 0.4857 as 485.7\u2030,but got 485.700\u2030 instead pattern = "###.###\u2030"; expectResult = "485.7\u2030"; result = dojo.number.format(0.4857,{pattern:pattern}); t.is(expectResult,result); //TODO: !!Failed mile percent case - ###.###m //Pattern "###.###m" should format 0.4857 to 485.7m, but got 0.485m instead /* pattern = "###.###m"; expectResult = "485.7m"; result = dojo.number.format(0.4857,{pattern:pattern,locale:"en"}); t.is(expectResult,result); */ //print("test_number_format_PerMill() end..............\n"); }
FAILED test: format_perMill 0 ms

   _AssertFailure: [object Error]: assertEqual() failed:  expected -0.1 but got -0,1  [object Error]     ERROR IN:  function(t){ /** * Refer to ICU4J's NumberFormatRegressionTest.Test4161100() */ tests.number.checkFormatParseCycle(t, {pattern:"#0.#"},-0.09,"-0.1",false); }
FAILED test: number_regression_1 16 ms 

    _AssertFailure: [object Error]: assertEqual() failed:  expected 123.55456 but got NaN  [object Error]     ERROR IN:  function(t){ /** * Refer to ICU4J's NumberRegression.Test4087535() and Test4243108() */ tests.number.checkFormatParseCycle(t, {places:0},0,"0",false); //TODO:in icu4j,0.1 should be formatted to ".1" when minimumIntegerDigits=0 tests.number.checkFormatParseCycle(t, {places:0},0.1,"0",false); tests.number.checkParse(t, {pattern:"#0.#####"},123.55456,123.55456); //!! fails because default pattern only has 3 decimal places // tests.number.checkParse(t, null,123.55456,123.55456); //See whether it fails first format 0.0 ,parse "99.99",and then reformat 0.0 tests.number.checkFormatParseCycle(t, {pattern:"#.#"},0.0,"0",false); tests.number.checkParse(t, null,"99.99",99.99); tests.number.checkFormatParseCycle(t, {pattern:"#.#"},0.0,"0",false); }
FAILED test: number_regression_3 16 ms 

  _AssertFailure: [object Error]: assertEqual() failed:  expected 3,456.78 but got 3 456,78  [object Error]     ERROR IN:  function(t){ /** * !!Failed case * 1.with pattern "#,#00.00 p''ieces;-#,#00.00 p''ieces" * 3456.78 should be formated to "3,456.78 p'ieces", * but got "3,456.78 p''ieces","''" should be replaced with "'" * 2.with illegal pattern "000.0#0" * no error for the illegal pattern, and 3456.78 is formatted to 456.780 * 3.with illegal pattern "0#0.000" * no error for the illegal pattern, and 3456.78 is formatted to 3456.780 * * Refer to ICU4J's NumberRegression.Test4092480(),Test4074454() */ var patterns = (["#0000","#000","#00","#0","#"]); var expect = (["0042","042","42","42","42"]); for(var i =0; i < patterns.length; i ++){ tests.number.checkFormatParseCycle(t, {pattern:patterns[i]},42,expect[i],false); tests.number.checkFormatParseCycle(t, {pattern:patterns[i]},-42,"-"+expect[i],false); } tests.number.checkFormatParseCycle(t, {pattern:"#,#00.00;-#.#"},3456.78,"3,456.78",false); //!!Failed case //tests.number.checkFormatParseCycle(t, {pattern:"#,#00.00 p''ieces;-#,#00.00 p''ieces"},3456.78,"3,456.78 p'ieces",false); //tests.number.checkFormatParseCycle(t, {pattern:"000.0#0"},3456.78,null,false); //tests.number.checkFormatParseCycle(t, {pattern:"0#0.000"},3456.78,null,false); }
FAILED test: number_regression_8 16 ms 

   _AssertFailure: [object Error]: assertEqual() failed:  expected 012.34 but got 012,34  [object Error]     ERROR IN:  function(t){ /** * Refer to ICU4J's NumberRegression.Test4125885() */ tests.number.checkFormatParseCycle(t, {pattern:"000.00"},12.34,"012.34",false); tests.number.checkFormatParseCycle(t, {pattern:"+000.00%;-000.00%"},0.1234,"+012.34%",false); tests.number.checkFormatParseCycle(t, {pattern:"##,###,###.00"},9.02,"9.02",false); var patterns =(["#.00", "0.00", "00.00", "#0.0#", "#0.00"]); var expect = (["1.20", "1.20", "01.20", "1.2", "1.20" ]); for(var i =0 ; i < patterns.length; i ++){ tests.number.checkFormatParseCycle(t, {pattern:patterns[i]},1.2,expect[i],false); } }
FAILED test: number_regression_10 0 ms

====================

GROUP "tests.io.script" has 1 test to run 3 tests to run in 1 groups ------------------------------------------------------------ GROUP "t" has 3 tests to run 
 [object Error]     ERROR IN:  function ioScriptJsonp(t){ var d = new doh.Deferred(); var td = dojo.io.script.get({ url: "scriptJsonp.js", content: { foo: "bar" }, callbackParamName: "callback" }); td.addBoth(function(res){ if(!(res instanceof Error) && t.is("mammal", res.animalType)){ d.callback(true); }else{ d.errback(false); } }); return d; }
FAILED test: ../../dojo/tests/io/script.html::t::ioScriptJsonp 15 ms

===============

 | TEST SUMMARY: ------------------------------------------------------------
      574 tests in 50 groups
      5 errors
      10 failures

Feel free to contact me if you need any assistance.

Attachments (2)

dojo_ff308.txt (74.1 KB) - added by Aleksey Rechinskiy 11 years ago.
dojo_ie6.txt (68.0 KB) - added by Aleksey Rechinskiy 11 years ago.

Download all attachments as: .zip

Change History (13)

Changed 11 years ago by Aleksey Rechinskiy

Attachment: dojo_ff308.txt added

comment:1 Changed 11 years ago by Aleksey Rechinskiy

Here is the description of IE error popup during the test:

line 331
symbol 10
error Exception is thrown and not caught
code 0
url http://download.dojotoolkit.org/release-1.3.0/dojo-release-1.3.0/dojo/tests/_base/html.html
line 1
symbol 1
error already called!
code 0
url http://download.dojotoolkit.org/release-1.3.0/dojo-release-1.3.0/dojo/tests/behavior.html

I've just run http://download.dojotoolkit.org/release-1.3.0/dojo-release-1.3.0/dojo/tests/runTests.html again to gather a full log to attach it here, and it results to 6 errors and 11 failures. Please, see the file dojo_ie6.txt.

I've also written a bug report #9079 about dijit bugs.

Some of this bugs (I don't know exactly which one, but I may write dojo components I use, if someone is interested) makes Dojo 1.3 completely unusable in my project. I had to revert code to v1.2.3...

Changed 11 years ago by Aleksey Rechinskiy

Attachment: dojo_ie6.txt added

comment:2 Changed 11 years ago by Adam Peller

Cc: Adam Peller added

comment:3 Changed 11 years ago by bill

Summary: Bugs in dojo core 1.3 reported by automated testBugs in dojo core 1.3 reported by automated test (IE6)

comment:4 Changed 11 years ago by Adam Peller

Bill, I'm not sure how many of these are IE6 specific (note that Arech reports FF logs also). There appear to be a number of issues:

The localization tests, I'm sorry to say, don't pass on non-US browsers. All of the tests with culturally-specific results need to explicitly state a locale that matches the expected result.

There are intermittent timeouts, such as the ones in attr_map, which I think we've all seen and ignored.

Although we badly need to clean up these tests, I'm not sure any of them are regressions and I'm not sure any indicate real bugs, so I'm inclined not to fix for 1.3.1.

comment:5 Changed 11 years ago by bill

Milestone: 1.3.11.4
Summary: Bugs in dojo core 1.3 reported by automated test (IE6)Bugs in dojo core 1.3 reported by automated test

comment:6 Changed 11 years ago by Adam Peller

dojo.number and dojo.date tests fixed for non-us browsers in [17221] and [17222] respectively

comment:7 Changed 11 years ago by Aleksey Rechinskiy

Please, note: Test was executed on Windows XP SP3 Russian version.

I've just tried to run the test on WinXP SP2 English under VirtualPC. Locale is also set to 'ru'. Results for IE7 are good enought: only a tests.date.locale and tests.number are faulty in the same places, as FF308 and IE6.

As I understand, there are two kind of bugs: user locale related (tests.date.locale and tests.number), that triggers anywhere with 'ru' locale, and other you may see in ff308 and ie6, I reported earlier. Locale related bugs are easy to reproduce and to fix, I think. But I have no clean&easy idea for now, how to help you to find other bugs... I think, these other bugs are the root cause of troubles with my dojo-based project.

I'll think more of it. Feel free to contact me, If you need any assistance.

comment:8 Changed 11 years ago by Aleksey Rechinskiy

And finally error log for Opera 9.64 under the same VirtualPC with WinXP SP2 English locale 'ru'. Tried to skip doubling errors here.

 GROUP "tests._base.query" has 1 test to run
 GROUP "t" has 99 tests to run
     _AssertFailure: [Object:

 name: doh._AssertFailure
]: assertEqual() failed:
	expected
		2
	but got
		1

  [Object:

 name: doh._AssertFailure
]
      ERROR IN:
 		 function (t
){doh.is(2, (dojo.query('.foo')).length);
}
  FAILED test: ../../dojo/tests/_base/query.html::t::doh.is(2, (dojo.query('.foo')).length); 0 ms


      _AssertFailure: [Object:

 name: doh._AssertFailure
]: assertEqual() failed:
	expected
		2
	but got
		1

  [Object:

 name: doh._AssertFailure
]
      ERROR IN:
 		 function (t
){doh.is(2, (dojo.query('.foo, .bar')).length);
}
  FAILED test: ../../dojo/tests/_base/query.html::t::doh.is(2, (dojo.query('.foo, .bar')).length); 0 ms


      _AssertFailure: [Object:

 name: doh._AssertFailure
]: assertEqual() failed:
	expected
		2
	but got
		1

  [Object:

 name: doh._AssertFailure
]
      ERROR IN:
 		 function (t
){doh.is(2, (dojo.query('.foo,.bar')).length);
}
  FAILED test: ../../dojo/tests/_base/query.html::t::doh.is(2, (dojo.query('.foo,.bar')).length); 0 ms


      _AssertFailure: [Object:

 name: doh._AssertFailure
]: assertEqual() failed:
	expected
		2
	but got
		1

  [Object:

 name: doh._AssertFailure
]
      ERROR IN:
 		 function (t
){doh.is(2, (dojo.query('.foo')).length);
}
  FAILED test: ../../dojo/tests/_base/query.html::t::doh.is(2, (dojo.query('.foo')).length); 0 ms
 

     _AssertFailure: [Object:

 name: doh._AssertFailure
]: assertEqual() failed:
	expected
		1
	but got
		0

  [Object:

 name: doh._AssertFailure
]
      ERROR IN:
 		 function (t
){doh.is(1, (dojo.query('.foo + span')).length);
}
  FAILED test: ../../dojo/tests/_base/query.html::t::doh.is(1, (dojo.query('.foo + span')).length); 0 ms


     _AssertFailure: [Object:

 name: doh._AssertFailure
]: assertEqual() failed:
	expected
		1
	but got
		0

  [Object:

 name: doh._AssertFailure
]
      ERROR IN:
 		 function (t
){doh.is(1, dojo.query('#t span.foo:not(span:first-child)').length);
}
  FAILED test: ../../dojo/tests/_base/query.html::t::doh.is(1, dojo.query('#t span.foo:not(span:first-child)').length); 10 ms


      _AssertFailure: [Object:

 name: doh._AssertFailure
]: assertEqual() failed:
	expected
		1
	but got
		0

  [Object:

 name: doh._AssertFailure
]
      ERROR IN:
 		 function (t
){doh.is(1, dojo.query('#t span.foo:not(:first-child)').length);
}
  FAILED test: ../../dojo/tests/_base/query.html::t::doh.is(1, dojo.query('#t span.foo:not(:first-child)').length); 0 ms
 
  [Error:

 name: Error
message: test timeout in ../../dojo/tests/_base/query.html
]
      ERROR IN:
 		 function(){
					// FIXME: implement calling into the url's groups here!!
					return this.d;
				}
  FAILED test: ../../dojo/tests/_base/query.html 0 ms

===================

 GROUP "tests.data.ItemFileWriteStore" has 36 tests to run
 [Error:

 name: Error
message: test timeout in testReferenceIntegrity_newItemWithParentReference
]
      ERROR IN:
 		 function testReferenceIntegrity_newItemWithParentReference(){
			//	summary: 
			//		Simple test to verify that newItems with a parent properly record the parent's reference in the map.
			//	description:
			//		Simple test to verify that newItems with a parent properly record the parent's reference in the map.
		
			var store = new dojo.data.ItemFileWriteStore(tests.data.ItemFileWriteStore.getTestData("reference_integrity"));

			var deferred = new doh.Deferred();
			var passed = true;
			function onError(error, request){
				deferred.errback(error);
				doh.assertTrue(false);
			}
			function onItem(item, request){
				try{
					//Create a new item and set its parent to item 10's uncle attribute.
					var newItem = store.newItem({id: 17, name: "Item 17"}, {parent: item, attribute: "uncles"}); 
					
					//DO NOT EVER ACCESS THESE VARIABLES LIKE THIS!  
					//THIS IS FOR TESTING INTERNAL STATE!
					//Look up the references to 17, as item 10 has one now on attribute 'uncles'
					var refs = newItem[store._reverseRefMap];

					//Assert there is a reference from 10 to item 17, on attribute uncle
					doh.assertTrue(refs["10"]["uncles"]);

					console.log("State of map of item 17 after newItem: " + dojo.toJson(refs));
				}catch(e){
					console.debug(e);
					deferred.errback(e);
					doh.assertTrue(false);
					passed = false;
				}
				if(passed){
					deferred.callback(true);
				}
			}
			store.fetchItemByIdentity({identity: 10, onError: onError, onItem: onItem});
			return deferred;
		}
  FAILED test: testReferenceIntegrity_newItemWithParentReference 0 ms
 
===============

 GROUP "tests.date.locale" has 12 tests to run

      _AssertFailure: [Object:

 name: doh._AssertFailure
]: assertEqual() failed:
	expected
		Fri Aug 11 2006 00:00:00 GMT+0400
	but got
		null

  [Object:

 name: doh._AssertFailure
]
      ERROR IN:
 		 function(t){

	var aug_11_2006 = new Date(2006, 7, 11, 0);

///ARECH: text is skipped

	//Tolerance for abbreviations
	t.is(0, dojo.date.compare(apr_11_2006, dojo.date.locale.parse("11 avr 06", options)));
			}
  FAILED test: parse_dates 0 ms

=================

GROUP "tests.number" has 30 tests to run

//ARECH: have new errors

   _AssertFailure: [Object:

 name: doh._AssertFailure
]: assertEqual() failed:
	expected
		1
	but got
		0

  [Object:

 name: doh._AssertFailure
]
      ERROR IN:
 		 function(t){
				t.is(0, dojo.number.round(0));
				t.is(1, dojo.number.round(0.5));
				t.is(-1, dojo.number.round(-0.5));
				t.is(0.1, dojo.number.round(0.05, 1));
				t.is(-0.1, dojo.number.round(-0.05, 1));
				t.is(1.1, dojo.number.round(1.05, 1));
				t.is(-1.1, dojo.number.round(-1.05, 1));
//				t.is(-162.29, dojo.number.round(-162.295, 2)); // see ticket #7930, dojox.math.round
//				t.is(162.29, dojo.number.round(162.295, 2)); // ibid
			}
  FAILED test: round 0 ms

   _AssertFailure: [Object:

 name: doh._AssertFailure
]: assertEqual() failed:
	expected
		12347
	but got
		12346

 with hint: 
		radx216
  [Object:

 name: doh._AssertFailure
]
      ERROR IN:
 		 function(t){
				// submitted Mike Cowlishaw (IBM, CCLA), see http://speleotrove.com/decimal/#testcases
	
//ARECH: skipped

		}
  FAILED test: round_speleotrove 0 ms

  FAILED test: format 0 ms

  FAILED test: parse 10 ms

  FAILED test: format_patterns 0 ms

FAILED test: format_rounding 0 ms

FAILED test: format_perMill 0 ms

FAILED test: number_regression_1 0 ms

 FAILED test: number_regression_3 0 ms

 FAILED test: number_regression_8 10 ms

FAILED test: number_regression_10 0 ms

  ------------------------------------------------------------
  | TEST SUMMARY:
  ------------------------------------------------------------
       686 tests in 50 groups
       2 errors
       12 failures









==================



comment:9 Changed 11 years ago by Adam Peller

dojo.query bugs in Opera are reported in #8938, number failures in #8938 (though we did not seem to capture the actual failures)

timeouts seem to be a problem throughout our test suite.

comment:10 Changed 11 years ago by Adam Peller

oops. I mean #8938 and #8939, respectively.

comment:11 Changed 10 years ago by bill

Resolution: duplicate
Status: newclosed

I'm closing this as "dup"; please file separate tickets for each failure that's still happening.

Note: See TracTickets for help on using tickets.